POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-09-25T05:43:13.5774633+00:00",
"active": true,
"department_item_id": "9792f21d-a637-46b0-8827-e17d65acc673",
"id": "82acc7b4-38d5-4a82-9e24-c9306d588978",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-09-25T05:43:13.5774633+00:00</date> <department_item_id>9792f21d-a637-46b0-8827-e17d65acc673</department_item_id> <id>82acc7b4-38d5-4a82-9e24-c9306d588978</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"cb3691be-b839-42fa-80ea-dc8659618f22"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">cb3691be-b839-42fa-80ea-dc8659618f22</guid>